.comments li {
    margin-bottom: 1rem;
}
.comments textarea,
.write-comment textarea {
    width: 100%;
}
.comment,
.write-comment {
    border: 1px solid rgba(128, 128, 128, 0.5);
    border-radius: 3px;
    padding: 1rem;
    position: relative;
}
.comment-meta {
    margin-bottom: 1rem;
    font-style: italic;
}
.comment-body {
    white-space: pre-line;
}
.comment-actions {
    position: absolute;
    top: 1rem;
    right: 1rem;
}
.comment-reactions {
    position: relative;
    display: flex;
    gap: 0.5rem;
    flex-direction: row;
    flex-wrap: wrap;
    margin-top: 1rem;
    align-items: center;
}
.comment-add-reaction-btn,
.comment-existing-reaction-btn {
    border-radius: 2rem;
    padding: 2px 0.5rem;
    height: 2rem;
    border: 1px solid rgba(128, 128, 128, 0.5);
}
.comment-add-reaction-btn {
    width: 2rem;
}
.comment-add-reaction-btn:hover,
.comment-add-reaction-btn:focus,
.comment-existing-reaction-btn:hover,
.comment-existing-reaction-btn:focus {
    background-color: rgba(128, 128, 128, 0.5);
}
.dark .comment-add-reaction-btn,
.dark .comment-existing-reaction-btn {
    color: var(--drk-color);
}
.comment-mention-select-cursor {
    position: absolute;
    pointer-events: none;
}
.comment-reactions-select,
.comment-mention-select {
    width: 20rem;
    max-width: calc(100vw - 20px);
}
.comment-reactions-select .popover-head,
.comment-mention-select .popover-head {
    padding-right: 2.5rem !important;
}

.comment-reactions-select-search {
    border-radius: 2rem;
}

.comment-reactions-select-emoji-list {
    max-height: 10rem;
    overflow: auto;
    width: 100%;
}

@media (max-width: 480px) {
    .comment-reactions-select,
    .comment-mention-select {
        width: auto;
    }
    .comment-reactions-select-emoji-list {
        max-height: calc(100vh - 20px - 7rem);
    }
}

.comment-reactions-select-emojis {
    display: flex;
    align-items: center;
    flex-wrap: wrap;
}
.comment-reactions-select-emojis button {
    padding: 5px;
    font-size: 1rem;
    border-radius: 100%;
}
.comment-reactions-select-emojis button:hover
.comment-reactions-select-emojis button:focus {
    background-color: rgba(128, 128, 128, 0.5);
}

.control-popover .comment-mention-select .popover-body {
    overflow: auto;
    height: 10em;
    padding: 5px;
}
.comment-mention-user-list-item {
    margin-bottom: 2px;
}
.comment-mention-user-list-button {
    text-align: left;
    border: 1px solid rgba(128, 128, 128, 0.25);
}

.comment-mention-user-list-button:hover,
.comment-mention-user-list-button:focus {
    background-color: rgba(128, 128, 128, 0.25);
}
